org.apache.cassandra.io.sstable

## Class IndexSummaryRedistribution

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionInfo.Holder
  - - org.apache.cassandra.io.sstable.IndexSummaryRedistribution

    public class IndexSummaryRedistribution
    extends CompactionInfo.Holder

### Constructor Summary

Constructors
Constructor and Description
`IndexSummaryRedistribution(java.util.List<SSTableReader> compacting, java.util.Map<java.util.UUID,LifecycleTransaction> transactions, long memoryPoolBytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompactionInfo` `getCompactionInfo()`
`java.util.List<SSTableReader>` `redistributeSummaries()`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder

`isStopRequested, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexSummaryRedistribution

    public IndexSummaryRedistribution(java.util.List<SSTableReader> compacting,
                                      java.util.Map<java.util.UUID,LifecycleTransaction> transactions,
                                      long memoryPoolBytes)

### Method Detail

#### redistributeSummaries

    public java.util.List<SSTableReader> redistributeSummaries()
                                                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### getCompactionInfo

    public CompactionInfo getCompactionInfo()

Specified by:
  `getCompactionInfo` in class `CompactionInfo.Holder`